WinBase.TIME_ZONE_INFORMATION (JNA API)
Description: declaration: package: com.sun.jna.platform.win32, interface: WinBase, class: TIME_ZONE_INFORMATION

Package com.sun.jna.platform.win32

# Class WinBase.TIME_ZONE_INFORMATION

java.lang.Object
com.sun.jna.Structure
com.sun.jna.platform.win32.WinBase.TIME_ZONE_INFORMATION

Enclosing interface:
  WinBase

@FieldOrder({"Bias","StandardName","StandardDate","StandardBias","DaylightName","DaylightDate","DaylightBias"}) public static class WinBase.TIME_ZONE_INFORMATION extends Structure
Specifies settings for a time zone. http://msdn.microsoft.com/en-us/library/windows/desktop/ms725481(v=vs.85).aspx

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.sun.jna.Structure

  `Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `WinDef.LONG`
  `Bias`
  `WinDef.LONG`
  `DaylightBias`
  `WinBase.SYSTEMTIME`
  `DaylightDate`
  `String`
  `DaylightName`
  `WinDef.LONG`
  `StandardBias`
  `WinBase.SYSTEMTIME`
  `StandardDate`
  `String`
  `StandardName`

  ### Fields inherited from class com.sun.jna.Structure

  `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TIME_ZONE_INFORMATION()`

- ## Method Summary

  ### Methods inherited from class com.sun.jna.Structure

  `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### Bias

    public WinDef.LONG Bias

  - ### StandardName

    public String StandardName

  - ### StandardDate

    public WinBase.SYSTEMTIME StandardDate

  - ### StandardBias

    public WinDef.LONG StandardBias

  - ### DaylightName

    public String DaylightName

  - ### DaylightDate

    public WinBase.SYSTEMTIME DaylightDate

  - ### DaylightBias

    public WinDef.LONG DaylightBias

- ## Constructor Details

  - ### TIME_ZONE_INFORMATION

    public TIME_ZONE_INFORMATION()